---
title: HTMLMediaElement.volume
slug: Web/API/HTMLMediaElement/volume
tags:
  - API
  - HTML DOM
  - HTMLMediaElement
  - Property
  - Reference
  - Volume
---
<p>{{APIRef("HTML DOM")}}</p>

<p>The <strong><code>HTMLMediaElement.volume</code></strong> property sets the volume at which the media will be played. </p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>volume</em> = <em>video</em>.volume; //1</pre>

<h3 id="Value">Value</h3>

<p>A double values must fall between 0 and 1, where 0 is effectively muted and 1 is the loudest possible value.</p>

<h2 id="Example">Example</h2>

<pre>var obj = document.createElement('audio');
console.log(obj.volume); // 1
obj.volume = 0.75;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-media-volume", "HTMLMediaElement.volume")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.volume")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.volume")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
 <li>{{domxref("HTMLMediaElement.muted")}}</li>
</ul>
